r4317 - in people/horms: . 2.6.13.build

Simon Horman horms at costa.debian.org
Thu Oct 6 10:25:02 UTC 2005


Author: horms
Date: 2005-10-06 10:25:01 +0000 (Thu, 06 Oct 2005)
New Revision: 4317

Added:
   people/horms/2.6.13.build/
   people/horms/2.6.13.build/2.6.13.build
   people/horms/2.6.13.build/2.6.13.prepare
   people/horms/2.6.13.build/2.6.13.source
Log:
crude 2.6.13 build scripts

Added: people/horms/2.6.13.build/2.6.13.build
===================================================================
--- people/horms/2.6.13.build/2.6.13.build	2005-10-06 09:55:04 UTC (rev 4316)
+++ people/horms/2.6.13.build/2.6.13.build	2005-10-06 10:25:01 UTC (rev 4317)
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+set -e
+
+VERSION="2.6.13"
+DEBVERSION="1"
+BUILD_BASE="$HOME/tmp/debian-kernel-test/linux-$VERSION"
+DOWNLOAD_URL="http://mirror.local.valinux.co.jp/linux/kernel/v2.6"
+SVN_BASE="$HOME/work/debian-kernel/svn/kernel"
+SVN_TRUNK="$SVN_BASE/dists/trunk"
+
+#NPROC code borrowed from VA Linux Systems Kernel RPM
+if [ "$OSTYPE" = "linux-gnu" -a -x /usr/bin/getconf ] ; then
+  NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
+  if [ $NRPROC -eq 0 ] ; then
+    NRPROC=1
+  fi
+else
+  NRPROC=1
+fi
+NRPROC=`expr $NRPROC + 1`
+
+## Make options
+unset MAKE
+export CONCURRENCY_LEVEL=$NRPROC
+export CCACHE_HARDLINK
+
+## Locale options
+export LC_ALL=C
+unset LANG
+unset LANGUAGE
+
+( cd "$BUILD_BASE/linux-2.6-$VERSION/" &&
+	dpkg-buildpackage -B -us -uc -rfakeroot 2>&1 | tee ../build.log; )


Property changes on: people/horms/2.6.13.build/2.6.13.build
___________________________________________________________________
Name: svn:executable
   + *

Added: people/horms/2.6.13.build/2.6.13.prepare
===================================================================
--- people/horms/2.6.13.build/2.6.13.prepare	2005-10-06 09:55:04 UTC (rev 4316)
+++ people/horms/2.6.13.build/2.6.13.prepare	2005-10-06 10:25:01 UTC (rev 4317)
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+set -e
+
+VERSION="2.6.13"
+DEBVERSION="1"
+BUILD_BASE="$HOME/tmp/debian-kernel-test/linux-$VERSION"
+DOWNLOAD_URL="http://mirror.local.valinux.co.jp/linux/kernel/v2.6"
+SVN_BASE="$HOME/work/debian-kernel/svn/kernel"
+SVN_TRUNK="$SVN_BASE/dists/trunk"
+
+rm -rf "$BUILD_BASE"
+mkdir -p "$BUILD_BASE"
+cd "$BUILD_BASE"
+
+wget -q "$DOWNLOAD_URL/linux-$VERSION.tar.bz2"
+"$SVN_TRUNK/scripts/prune-non-free" linux-$VERSION.tar.bz2 $VERSION
+rm -rf linux-2.6-$VERSION/ linux-nonfree-2.6-$VERSION/
+tar -zxf linux-2.6_$VERSION.orig.tar.gz 
+cd linux-2.6-$VERSION/
+#quiet ( cd "$SVN_TRUNK/linux-2.6/" && svn status; )
+rsync -qav --exclude .svn/ "$SVN_TRUNK/linux-2.6/" ./
+make -s -f debian/rules debian/control >& /dev/null || true
+make -s -f debian/rules debian/control >& /dev/null || true
+make -s -f debian/rules debian/control
+
+echo
+echo "Tree is in \"$BUILD_BASE/linux-2.6-$VERSION/\""
+echo
+echo "To add Debian patches run the following in the root of the tree: "
+echo "	home=\"./debian/patches-debian\" \/"
+echo "		override_version=\"$VERSION-$DEBVERSION\" \/"
+echo "		sh ./debian/bin/apply"
+echo
+echo "To remove Debian patches run the following in the root of the tree: "
+echo "	home=\"./debian/patches-debian\" \/"
+echo "		override_version=\"$VERSION\" \/"
+echo "		sh ./debian/bin/apply"
+echo
+echo "To build the package, make sure that Debian packages are not applied"
+echo "and run the following in the root of the tree:"
+echo "	dpkg-buildpackage -us -uc -rfakeroot"
+echo


Property changes on: people/horms/2.6.13.build/2.6.13.prepare
___________________________________________________________________
Name: svn:executable
   + *

Added: people/horms/2.6.13.build/2.6.13.source
===================================================================
--- people/horms/2.6.13.build/2.6.13.source	2005-10-06 09:55:04 UTC (rev 4316)
+++ people/horms/2.6.13.build/2.6.13.source	2005-10-06 10:25:01 UTC (rev 4317)
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -e
+
+VERSION="2.6.13"
+DEBVERSION="1"
+BUILD_BASE="$HOME/tmp/debian-kernel-test/linux-$VERSION"
+DOWNLOAD_URL="http://mirror.local.valinux.co.jp/linux/kernel/v2.6"
+SVN_BASE="$HOME/work/debian-kernel/svn/kernel"
+SVN_TRUNK="$SVN_BASE/dists/trunk"
+
+## Make options
+unset MAKE
+unset CONCURRENCY_LEVEL
+export CCACHE_HARDLINK
+
+## Locale options
+export LC_ALL=C
+unset LANG
+unset LANGUAGE
+
+( cd "$BUILD_BASE/linux-2.6-$VERSION/" && 
+	./debian/rules clean; )
+( cd "$BUILD_BASE/" && 
+	dpkg-source -b "linux-2.6-$VERSION" "linux-2.6_$VERSION.orig.tar.gz"; )


Property changes on: people/horms/2.6.13.build/2.6.13.source
___________________________________________________________________
Name: svn:executable
   + *




More information about the Kernel-svn-changes mailing list